#include <bits/stdc++.h>
#define fi first
#define se second
#define MAXN 200010
using namespace std;

vector<pair<double, double> > a(MAXN);

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n;
    cin >> n;
    double sum = 0;
    for(int i = 0; i < n; i++)
    {
        cin >> a[i].se >> a[i].fi;
        sum += a[i].se;
    }

    sort(a.begin(), a.begin() + n);


    cout << fixed << setprecision(4);
    double maxV = 0;
    for(int i = 0; i < n; i++)
    {
        //cout << a[i].se << ", " << sum << ": ";
        double t = sum / 100.0 * a[i].fi;
        //cout << t << endl;
        maxV = max(maxV, t);
        sum -= a[i].se;
    }
    cout << maxV << endl;

    return 0;
}